RHEL 5 / 6 : xalan-j2 (RHSA-2014:0348)

High Nessus Plugin ID 73295


The remote Red Hat host is missing one or more security updates.


Updated xalan-j2 packages that fix one security issue are now available for Red Hat Enterprise Linux 5 and 6.

The Red Hat Security Response Team has rated this update as having Important security impact. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available from the CVE link in the References section.

Xalan-Java is an XSLT processor for transforming XML documents into HTML, text, or other XML document types.

It was found that the secure processing feature of Xalan-Java had insufficient restrictions defined for certain properties and features.
A remote attacker able to provide Extensible Stylesheet Language Transformations (XSLT) content to be processed by an application using Xalan-Java could use this flaw to bypass the intended constraints of the secure processing feature. Depending on the components available in the classpath, this could lead to arbitrary remote code execution in the context of the application server running the application that uses Xalan-Java. (CVE-2014-0107)

All xalan-j2 users are advised to upgrade to these updated packages, which contain a backported patch to correct this issue.


Update the affected packages.

See Also



Plugin Details

Severity: High

ID: 73295

File Name: redhat-RHSA-2014-0348.nasl

Version: $Revision: 1.6 $

Type: local

Agent: unix

Published: 2014/04/02

Modified: 2017/01/06

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:redhat:enterprise_linux:xalan-j2, p-cpe:/a:redhat:enterprise_linux:xalan-j2-debuginfo, p-cpe:/a:redhat:enterprise_linux:xalan-j2-demo, p-cpe:/a:redhat:enterprise_linux:xalan-j2-javadoc, p-cpe:/a:redhat:enterprise_linux:xalan-j2-manual, p-cpe:/a:redhat:enterprise_linux:xalan-j2-xsltc, cpe:/o:redhat:enterprise_linux:5, cpe:/o:redhat:enterprise_linux:6, cpe:/o:redhat:enterprise_linux:6.5

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2014/04/01

Reference Information

CVE: CVE-2014-0107

BID: 66397

OSVDB: 104942

RHSA: 2014:0348